/**
******************************************************************************
* @file    ms933x_config.h
* @author  
* @version V1.0.0
* @date    15-Nov-2014
* @brief   header files
*
* Copyright (c) 2009-2014, MacroSilicon Technology Co.,Ltd.
******************************************************************************/
#ifndef __MACROSILICON_MS933X_CONFIG_H__
#define __MACROSILICON_MS933X_CONFIG_H__

//#include "ms933x_app_config.h"


#ifndef MS933X_EXT_XTAL
#define MS933X_EXT_XTAL             (24000000UL) //uint Hz
#endif

#ifndef MS933X_USE_I2CBUS
#define MS933X_USE_I2CBUS           (1)
#endif

#ifndef MS933X_I2C_ADDR
#define MS933X_I2C_ADDR             (0xB2)
#endif

#ifndef MS933X_HDMI_RX_EDID_ENABLE
#define MS933X_HDMI_RX_EDID_ENABLE  (1)
#endif

#ifndef MS933X_HDMI_HDCP_REPEATER
#define MS933X_HDMI_HDCP_REPEATER   (1)
#endif

#ifndef MS933X_HDMI_TX_HDCP
#define MS933X_HDMI_TX_HDCP         (1)
#endif

#ifndef MS933X_HDMI_TX_HDCP_METHOD
#define MS933X_HDMI_TX_HDCP_METHOD  (0)
#endif

#ifndef MS933X_HDMI_TX_EDID
#define MS933X_HDMI_TX_EDID         (1)
#endif

#ifndef MS933X_HDMI_RX_INT_ENABLE
#define MS933X_HDMI_RX_INT_ENABLE   (1)
#endif

#ifndef MS933X_RXPLL_METHOD
#define MS933X_RXPLL_METHOD     (0) //new method
#endif


//RC_25M config
#ifndef MS933X_RC_CTRL1             
#define MS933X_RC_CTRL1             (0x81) 
#endif

#ifndef MS933X_RC_CTRL2
#define MS933X_RC_CTRL2             (0x3B)     //24M RC
#endif


#ifndef MS933X_HDMI_RX_TMDS_OVERLOAD_PROTECT_ENABLE
#define MS933X_HDMI_RX_TMDS_OVERLOAD_PROTECT_ENABLE     (0) 
#endif


#ifndef MS933X_AUDIO_SAMPLE_PACKET_192BIT_BYPASS_ENABLE
#define MS933X_AUDIO_SAMPLE_PACKET_192BIT_BYPASS_ENABLE     (1)
#endif


////////////////////////////////////////////////////////////////////
#ifndef MS933X_FPGA_VERIFY
#define MS933X_FPGA_VERIFY          (0)
#endif

#ifndef MS933X_EXT_APIS
#define MS933X_EXT_APIS             (0)     //external drive
#endif

#ifndef MS933X_DEBUG_LOG
#define MS933X_DEBUG_LOG            (0)      //use uart trace log
#endif

#endif  // __MACROSILICON_MS933X_CONFIG_H__
